Summary:	Idle management daemon for Wayland
Name:		swayidle
Version:	1.7
Release:	1
License:	MIT
Group:		Applications
Source0:	https://github.com/swaywm/swayidle/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2b656875c65795ee44be45f8c2bd19fd
URL:		https://github.com/swaywm/swayidle
BuildRequires:	bash-completion
BuildRequires:	fish-devel
BuildRequires:	meson >= 0.48.0
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	scdoc
BuildRequires:	systemd-devel
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols >= 1.14
Suggests:	swaylock
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is sway's idle management daemon, swayidle. It is compatible with
any Wayland compositor which implements the KDE idle protocol.

%package -n bash-completion-swayidle
Summary:	Bash completion for swayidle
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-swayidle
Bash completion for swayidle.

%package -n fish-completion-swayidle
Summary:	fish-completion for swayidle
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-swayidle
fish-completion for swayidle.

%package -n zsh-completion-swayidle
Summary:	ZSH completion for swayidle
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-swayidle
ZSH completion for swayidle.

%prep
%setup -q

%build
%meson build
%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/swayidle
%{_mandir}/man1/swayidle.1*

%files -n bash-completion-swayidle
%defattr(644,root,root,755)
%{bash_compdir}/swayidle

%files -n fish-completion-swayidle
%defattr(644,root,root,755)
%{fish_compdir}/swayidle.fish

%files -n zsh-completion-swayidle
%defattr(644,root,root,755)
%{zsh_compdir}/_swayidle
%changelog
* Tue Aug 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/swayidle.git;a=log;h=master

* Tue Aug 17 2021 Jan Palus <atler@pld-linux.org> 3ee9e00
- up to 1.7

* Mon Jul 19 2021 Jan Palus <atler@pld-linux.org> a010924
- S: swaylock

* Mon Jul 19 2021 Jan Palus <atler@pld-linux.org> 55edcf4
- drop version requirement from scdoc BR:

* Mon Jul 19 2021 Jan Palus <atler@pld-linux.org> e5992fc
- new

